<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>Request (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Request (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Request.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/ReportingLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/Request.html" target="_top">Frames</a></li>
<li><a href="Request.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.search</div>
<h2 title="Class Request" class="title">Class Request&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.search.Request&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - Data type for results</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html" title="class in com.here.android.mpa.search">DiscoveryRequest</a>, <a href="../../../../../com/here/android/mpa/search/GeocodeRequest.html" title="class in com.here.android.mpa.search">GeocodeRequest</a>, <a href="../../../../../com/here/android/mpa/search/GeocodeRequest2.html" title="class in com.here.android.mpa.search">GeocodeRequest2</a>, <a href="../../../../../com/here/android/mpa/search/MediaCollectionPageRequest.html" title="class in com.here.android.mpa.search">MediaCollectionPageRequest</a>, <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html" title="class in com.here.android.mpa.search">PlaceRequest</a>, <a href="../../../../../com/here/android/mpa/search/ReverseGeocodeRequest.html" title="class in com.here.android.mpa.search">ReverseGeocodeRequest</a>, <a href="../../../../../com/here/android/mpa/search/ReverseGeocodeRequest2.html" title="class in com.here.android.mpa.search">ReverseGeocodeRequest2</a>, <a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search">TextAutoSuggestionRequest</a>, <a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search">TextSuggestionRequest</a>, <a href="../../../../../com/here/android/mpa/search/TransitSchedulePageRequest.html" title="class in com.here.android.mpa.search">TransitSchedulePageRequest</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Request&lt;T&gt;</span>
extends java.lang.Object</pre>
<div class="block">Represents a base class for a search request.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a></span></code>
<div class="block">Represents values describing possible types of connectivity that the request is performed.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#BUILDING_ID_REFERENCE_NAME">BUILDING_ID_REFERENCE_NAME</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.12.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/AddressFilter.html" title="class in com.here.android.mpa.search">AddressFilter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_addressFilter">m_addressFilter</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_collectionSize">m_collectionSize</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected com.nokia.maps.PlacesConstants.ConnectivityMode</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_connectivityMode">m_connectivityMode</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.Locale</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_locale">m_locale</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_mapViewport">m_mapViewport</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected com.nokia.maps.PlacesBaseRequest&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_pimpl">m_pimpl</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_referenceNames">m_referenceNames</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_requestConnectivity">m_requestConnectivity</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search">RichTextFormatting</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_richTextFormatting">m_richTextFormatting</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#m_userAuthToken">m_userAuthToken</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#PLACE_CONTENT_WIKIPEDIA">PLACE_CONTENT_WIKIPEDIA</a></span></code>
<div class="block">Name used to get editorial wikipedia content in place details response.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#PVID_ID_REFERENCE_NAME">PVID_ID_REFERENCE_NAME</a></span></code>
<div class="block">Name used to get core POI identifier references.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_CONTENT_ID_REFERENCE_NAME">VENUES_CONTENT_ID_REFERENCE_NAME</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.12.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_DESTINATION_ID_REFERENCE_NAME">VENUES_DESTINATION_ID_REFERENCE_NAME</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.12.</span></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_ID_REFERENCE_NAME">VENUES_ID_REFERENCE_NAME</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.12.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_VENUE_ID_REFERENCE_NAME">VENUES_VENUE_ID_REFERENCE_NAME</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.12.</span></div>
</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#Request--">Request</a></span>()</code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#Request-com.nokia.maps.PlacesBaseRequest-">Request</a></span>(com.nokia.maps.PlacesBaseRequest&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; impl)</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#addCustomHeader-java.lang.String-java.lang.String-">addCustomHeader</a></span>(java.lang.String name,
               java.lang.String value)</code>
<div class="block">Adds custom header to request.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#addReference-java.lang.String-">addReference</a></span>(java.lang.String name)</code>
<div class="block">This function adds the name of a requested reference identifiers to be returned in the
 results.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#cancel--">cancel</a></span>()</code>
<div class="block">Cancels any pending results from an invoked request.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#determineConnectivityMode--">determineConnectivityMode</a></span>()</code> </td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#execute-com.here.android.mpa.search.ResultListener-">execute</a></span>(<a href="../../../../../com/here/android/mpa/search/ResultListener.html" title="interface in com.here.android.mpa.search">ResultListener</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; eventListener)</code>
<div class="block">Executes an asynchronous request.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#getCollectionSize--">getCollectionSize</a></span>()</code>
<div class="block">Gets the current collection size being used for request responses.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#getConnectivity--">getConnectivity</a></span>()</code>
<div class="block">This function returns the connectivity of request.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.Locale</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#getLocale--">getLocale</a></span>()</code>
<div class="block">This method returns the locale used in request.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected java.util.List&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#getReferences--">getReferences</a></span>()</code>
<div class="block">This function returns the names of requested reference identifiers to be returned in the
 results.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#setCollectionSize-int-">setCollectionSize</a></span>(int value)</code>
<div class="block">Sets a collection size to be used for request responses.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#setConnectivity-com.here.android.mpa.search.Request.Connectivity-">setConnectivity</a></span>(<a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a> connectivity)</code>
<div class="block">Sets the connectivity of request.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#setLocale-java.util.Locale-">setLocale</a></span>(java.util.Locale locale)</code>
<div class="block">This method sets the locale used in request.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#setMapViewport-com.here.android.mpa.common.GeoBoundingBox-">setMapViewport</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> mapViewport)</code>
<div class="block">The map viewport is a bounding box of the map area currently visible to the user.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Request.html#setUserAuthentication-java.lang.String-">setUserAuthentication</a></span>(java.lang.String token)</code>
<div class="block">Some requests, such as when posting images or reviews, applications must provide an OAuth 2.0
 bearer token (obtained from HERE Account) to authenticate the user performing the action.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="BUILDING_ID_REFERENCE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUILDING_ID_REFERENCE_NAME</h4>
<pre>@Deprecated
public static final java.lang.String BUILDING_ID_REFERENCE_NAME</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> <span class="deprecationComment">As of SDK 3.12.</span></div>
<div class="block">Name used to get building identifier references.

 <p>
 Use <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> to be able to retrieve the building
 identifier from the returned <code>PlaceLink</code> (using <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>
 ).
 </p>
 <p>
 The building identifier can also be retrieved using
 <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a> (or
 <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>).
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
     Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>, 
<a href="../../../../../constant-values.html#com.here.android.mpa.search.Request.BUILDING_ID_REFERENCE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PVID_ID_REFERENCE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PVID_ID_REFERENCE_NAME</h4>
<pre>public static final java.lang.String PVID_ID_REFERENCE_NAME</pre>
<div class="block">Name used to get core POI identifier references.

 <p>
 Use <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> to be able to retrieve the POI identifier
 from the returned <code>PlaceLink</code> (using <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>).
 </p>
 <p>
 The POI identifier can also be retrieved using
 <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a> (or
 <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>).
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
     Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>, 
<a href="../../../../../constant-values.html#com.here.android.mpa.search.Request.PVID_ID_REFERENCE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VENUES_ID_REFERENCE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VENUES_ID_REFERENCE_NAME</h4>
<pre>@Deprecated
public static final java.lang.String VENUES_ID_REFERENCE_NAME</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> <span class="deprecationComment">As of SDK 3.12.</span></div>
<div class="block">Name used to get all venues identifier references.

 <p>
 Use <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> to be able to retrieve all venues
 identifier from the returned <code>PlaceLink</code> (using <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>
 ).
 </p>
 <p>
 The venues identifier can also be retrieved
 <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a> (or
 <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>).
 </p>
 <p>
 This reference name can be used retrieve all the different venues identifiers, namely:
 <a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_CONTENT_ID_REFERENCE_NAME"><code>Request.VENUES_CONTENT_ID_REFERENCE_NAME</code></a>, <a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_DESTINATION_ID_REFERENCE_NAME"><code>Request.VENUES_DESTINATION_ID_REFERENCE_NAME</code></a> and
 <a href="../../../../../com/here/android/mpa/search/Request.html#VENUES_VENUE_ID_REFERENCE_NAME"><code>Request.VENUES_VENUE_ID_REFERENCE_NAME</code></a>.
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
     Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>, 
<a href="../../../../../constant-values.html#com.here.android.mpa.search.Request.VENUES_ID_REFERENCE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VENUES_CONTENT_ID_REFERENCE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VENUES_CONTENT_ID_REFERENCE_NAME</h4>
<pre>@Deprecated
public static final java.lang.String VENUES_CONTENT_ID_REFERENCE_NAME</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> <span class="deprecationComment">As of SDK 3.12.</span></div>
<div class="block">Name used to get only venues.content identifier references.

 <p>
 Use <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> to be able to retrieve the venues.content
 identifier from the returned <code>PlaceLink</code> (using <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>
 ).
 </p>
 <p>
 The venues.content identifier can also be retrieved using
 <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a> (or
 <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>).
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
     Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>, 
<a href="../../../../../constant-values.html#com.here.android.mpa.search.Request.VENUES_CONTENT_ID_REFERENCE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VENUES_DESTINATION_ID_REFERENCE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VENUES_DESTINATION_ID_REFERENCE_NAME</h4>
<pre>@Deprecated
public static final java.lang.String VENUES_DESTINATION_ID_REFERENCE_NAME</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> <span class="deprecationComment">As of SDK 3.12.</span></div>
<div class="block">Name used to get only venues.destination identifier references.

 <p>
 Use <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> to be able to retrieve the
 venues.destination identifier from the returned <code>PlaceLink</code> (using
 <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>).
 </p>
 <p>
 The venues.destination identifier can also be retrieved using
 <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a> (or
 <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>).
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
     Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>, 
<a href="../../../../../constant-values.html#com.here.android.mpa.search.Request.VENUES_DESTINATION_ID_REFERENCE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VENUES_VENUE_ID_REFERENCE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VENUES_VENUE_ID_REFERENCE_NAME</h4>
<pre>@Deprecated
public static final java.lang.String VENUES_VENUE_ID_REFERENCE_NAME</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> <span class="deprecationComment">As of SDK 3.12.</span></div>
<div class="block">Name used to get only venues.venue identifier references.

 <p>
 Use <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> to be able to retrieve the venues.venue
 identifier from the returned <code>PlaceLink</code> (using <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>
 ).
 </p>
 <p>
 The venues.venue identifier can also be retrieved using
 <a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a> (or
 <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a> and <a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>).
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
     Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/DiscoveryRequest.html#addReference-java.lang.String-"><code>DiscoveryRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceLink.html#getReference-java.lang.String-"><code>PlaceLink.getReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addReference-java.lang.String-"><code>PlaceRequest.addReference(String)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Place.html#getReference-java.lang.String-"><code>Place.getReference(String)</code></a>, 
<a href="../../../../../constant-values.html#com.here.android.mpa.search.Request.VENUES_VENUE_ID_REFERENCE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PLACE_CONTENT_WIKIPEDIA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PLACE_CONTENT_WIKIPEDIA</h4>
<pre>public static final java.lang.String PLACE_CONTENT_WIKIPEDIA</pre>
<div class="block">Name used to get editorial wikipedia content in place details response.

 <p>
 Use <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#addContent-java.lang.String-"><code>PlaceRequest.addContent(String)</code></a> to specify <a href="../../../../../com/here/android/mpa/search/Request.html#PLACE_CONTENT_WIKIPEDIA"><code>Request.PLACE_CONTENT_WIKIPEDIA</code></a>
 content source in <a href="../../../../../com/here/android/mpa/search/PlaceRequest.html" title="class in com.here.android.mpa.search"><code>PlaceRequest</code></a>.
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/places/topics/external-references.html">
 Places (Search) API Developer's Guide</a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html#getContent--"><code>PlaceRequest.getContent()</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Place.html#getEditorials--"><code>Place.getEditorials()</code></a>, 
<a href="../../../../../com/here/android/mpa/search/EditorialMedia.html" title="class in com.here.android.mpa.search"><code>EditorialMedia</code></a>, 
<a href="../../../../../constant-values.html#com.here.android.mpa.search.Request.PLACE_CONTENT_WIKIPEDIA">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="m_pimpl">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_pimpl</h4>
<pre>protected com.nokia.maps.PlacesBaseRequest&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; m_pimpl</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_richTextFormatting">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_richTextFormatting</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/RichTextFormatting.html" title="enum in com.here.android.mpa.search">RichTextFormatting</a> m_richTextFormatting</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_collectionSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_collectionSize</h4>
<pre>protected int m_collectionSize</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_mapViewport">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_mapViewport</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> m_mapViewport</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_referenceNames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_referenceNames</h4>
<pre>protected java.util.List&lt;java.lang.String&gt; m_referenceNames</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_userAuthToken">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_userAuthToken</h4>
<pre>protected java.lang.String m_userAuthToken</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_requestConnectivity">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_requestConnectivity</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a> m_requestConnectivity</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_connectivityMode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_connectivityMode</h4>
<pre>protected com.nokia.maps.PlacesConstants.ConnectivityMode m_connectivityMode</pre>
</li>
</ul>
<a name="m_locale">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_locale</h4>
<pre>protected java.util.Locale m_locale</pre>
</li>
</ul>
<a name="m_addressFilter">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_addressFilter</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/AddressFilter.html" title="class in com.here.android.mpa.search">AddressFilter</a> m_addressFilter</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Request--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Request</h4>
<pre>protected Request()</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="Request-com.nokia.maps.PlacesBaseRequest-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Request</h4>
<pre>protected Request(com.nokia.maps.PlacesBaseRequest&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; impl)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>impl</code> - The impl object to be constructed of.</dd>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="determineConnectivityMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>determineConnectivityMode</h4>
<pre>protected void determineConnectivityMode()</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="execute-com.here.android.mpa.search.ResultListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> execute(<a href="../../../../../com/here/android/mpa/search/ResultListener.html" title="interface in com.here.android.mpa.search">ResultListener</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; eventListener)</pre>
<div class="block">Executes an asynchronous request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventListener</code> - A <code>ResultListener</code> passed along with the request to monitor progress</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>ErrorCode</code> representing an appropriate result</dd>
<dt><span class="simpleTagLabel">Note:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/search/ErrorCode.html#SERVICE_UNAVAILABLE"><code>ErrorCode.SERVICE_UNAVAILABLE</code></a> can be returned if current search service
 is unavailable for your region. For more information see the Developer's Guide.</dd>
</dl>
</li>
</ul>
<a name="cancel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>public boolean cancel()</pre>
<div class="block">Cancels any pending results from an invoked request.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the request was canceled successfully, false otherwise</dd>
</dl>
</li>
</ul>
<a name="getCollectionSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCollectionSize</h4>
<pre>protected int getCollectionSize()</pre>
<div class="block">Gets the current collection size being used for request responses.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current response collection size</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextSuggestionRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextAutoSuggestionRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="setCollectionSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCollectionSize</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; setCollectionSize(int value)</pre>
<div class="block">Sets a collection size to be used for request responses. The maximum number of result items
 in each collection will be limited to this value. The valid value range is [1..100]. The
 default collection size is 20.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Desired response collection size size per request.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search"><code>Request</code></a> object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if size is out of range.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextSuggestionRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextAutoSuggestionRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="addReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addReference</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; addReference(java.lang.String name)</pre>
<div class="block">This function adds the name of a requested reference identifiers to be returned in the
 results.

 For example, to retrieve an extruded building identifier, set this value to
 <code>BUILDING_ID_REFERENCE_NAME</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - Name of reference identifier to retrieve.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if name added, false otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html" title="class in com.here.android.mpa.search"><code>PlaceRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="getReferences--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReferences</h4>
<pre>protected java.util.List&lt;java.lang.String&gt; getReferences()</pre>
<div class="block">This function returns the names of requested reference identifiers to be returned in the
 results.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of the names of reference identifiers to be returned in the result.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/PlaceRequest.html" title="class in com.here.android.mpa.search"><code>PlaceRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="setConnectivity-com.here.android.mpa.search.Request.Connectivity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectivity</h4>
<pre>public void setConnectivity(<a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a> connectivity)</pre>
<div class="block">Sets the connectivity of request.
 By default, the connectivity of request is controlled by the SDK. If the SDK is online then
 an online request will be made. If the SDK is offline then an offline request will be made.

 Be aware, OFFLINE request can return limited result details. Results from ONLINE request will
 provide the best information available.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectivity</code> - Desired request connectivity.</dd>
</dl>
</li>
</ul>
<a name="getConnectivity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectivity</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search">Request.Connectivity</a> getConnectivity()</pre>
<div class="block">This function returns the connectivity of request.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The request connectivity.</dd>
</dl>
</li>
</ul>
<a name="setMapViewport-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapViewport</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; setMapViewport(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> mapViewport)</pre>
<div class="block">The map viewport is a bounding box of the map area currently visible to the user. The
 viewport can act as an implicit location context in the absence of an explicit location
 context. To ensure you get the best results possible, you should always set a viewport if
 there is a map visible to the user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapViewport</code> - The bounding box of the map area currently visible.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>Request</code> object itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/SearchRequest.html" title="class in com.here.android.mpa.search"><code>SearchRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><code>ExploreRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/HereRequest.html" title="class in com.here.android.mpa.search"><code>HereRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextSuggestionRequest</code></a>, 
<a href="../../../../../com/here/android/mpa/search/TextAutoSuggestionRequest.html" title="class in com.here.android.mpa.search"><code>TextAutoSuggestionRequest</code></a></dd>
</dl>
</li>
</ul>
<a name="setUserAuthentication-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserAuthentication</h4>
<pre>public <a href="../../../../../com/here/android/mpa/search/Request.html" title="class in com.here.android.mpa.search">Request</a>&lt;<a href="../../../../../com/here/android/mpa/search/Request.html" title="type parameter in Request">T</a>&gt; setUserAuthentication(java.lang.String token)</pre>
<div class="block">Some requests, such as when posting images or reviews, applications must provide an OAuth 2.0
 bearer token (obtained from HERE Account) to authenticate the user performing the action.

 The procedure for obtaining a token is outside of the scope of this documentation. Please
 refer to the HERE Account Single Sign On (SSO) API documentation for more information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>token</code> - The User authentication bearer token.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>Request</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="addCustomHeader-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addCustomHeader</h4>
<pre>public void addCustomHeader(java.lang.String name,
                            java.lang.String value)</pre>
<div class="block">Adds custom header to request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - Name of the header.</dd>
<dd><code>value</code> - Value of the header.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://developer.here.com/documentation/geocoder/topics/resources.html">
     Resources and Parameters</a></dd>
</dl>
</li>
</ul>
<a name="setLocale-java.util.Locale-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocale</h4>
<pre>public void setLocale(java.util.Locale locale)</pre>
<div class="block">This method sets the locale used in request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locale</code> - A locale for the request.</dd>
</dl>
</li>
</ul>
<a name="getLocale--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getLocale</h4>
<pre>public java.util.Locale getLocale()</pre>
<div class="block">This method returns the locale used in request.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The request locale.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Request.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/ReportingLink.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/Request.Connectivity.html" title="enum in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/Request.html" target="_top">Frames</a></li>
<li><a href="Request.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
